{
  inputs,
  localPkgs,
  scope,
  getFlakePkg',
  ...
}:
scope "user" {
  programs = {
    direnv = {
      enable = true;
      integrations.fish.enable = true;
    };

    git = {
      enable = true;
      settings = {
        user = {
          name = "atagen";
          email = "boss@atagen.co";
        };
        init = {
          defaultBranch = "main";
        };
        url = {
          "https://github.com/".insteadOf = "github:";
          "https://git.atagen.co/atagen/".insteadOf = "atagen:";
          "https://codeberg.org/".insteadOf = "codeberg:";
        };
        credential.helper = "rbw";
      };
      integrations = {
        difftastic.enable = true;
      };
    };
  };

  packages = [
    localPkgs.rbw-helper
    (getFlakePkg' inputs.angrr "angrr-direnv")
  ];
}
